import { KeyValueStore } from "../storage";
import { File, FileData, FileType } from "./types";
export declare const NAMED_FILE_TYPE: FileType[];
export declare function isNamedImportFileType(type?: string): type is FileType & `${string}_import`;
export declare function isNamedFileType(type?: string): type is FileType;
export declare function getFileStore(): KeyValueStore<File>;
export declare function getNamedFileStore(name: string, prefix?: string): KeyValueStore<File>;
export declare function resolveFileStore(file: FileData, givenStore?: KeyValueStore<File>): KeyValueStore<File>;
